Subverson-1.3.0 / BDB

Randy McMurchy randy at linuxfromscratch.org
Sun Apr 2 20:11:03 PDT 2006


Hi all,

There appears to be an issue with the newest Subversion package working
with BDB. I'm getting errors in the test suites (both the regular tests
and the Java tests as well). The errors have to do with opening and/or
manipulating BDB repos. I've done a bit of research via Google and the
Subversion mail lists, but nothing really comes up.

I get identical errors on two different systems, one with BDB-4.4.16,
another with BDB-4.4.20. On the system with BDB-4.4.16, I had no issues
installing a previous version of Subversion (1.2.3) using identical
setup and build commands.

Anybody have any clue about this, or heard anything?

I don't think it is something to keep from updating to the 1.3.0 version
of Subversion (SVN team recommends using FSFS repos now), but it does
bother me that tests are failing that have never failed in the past.

Advice, pointers, or any other information would be appreciated.

-- 
Randy

rmlscsi: [bogomips 1003.28] [GNU ld version 2.16.1] [gcc (GCC) 4.0.3]
[GNU C Library stable release version 2.3.6] [Linux 2.6.14.3 i686]
22:05:00 up 8 days, 9:42, 6 users, load average: 0.00, 0.00, 0.00



More information about the blfs-dev mailing list